Detach a number from a campaign (not allowed when campaign is RUNNING)
curl --request DELETE \
--url https://api.pineyard.ai/campaigns/{id}/phone-numbers/{phoneNumberId} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/campaigns/{id}/phone-numbers/{phoneNumberId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/campaigns/{id}/phone-numbers/{phoneNumberId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)Phone numbers
Detach a number from a campaign (not allowed when campaign is RUNNING)
DELETE
/
campaigns
/
{id}
/
phone-numbers
/
{phoneNumberId}
Detach a number from a campaign (not allowed when campaign is RUNNING)
curl --request DELETE \
--url https://api.pineyard.ai/campaigns/{id}/phone-numbers/{phoneNumberId} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/campaigns/{id}/phone-numbers/{phoneNumberId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/campaigns/{id}/phone-numbers/{phoneNumberId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)Required scope:
campaigns.deleteAuthorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.
Response
OK

